// Copyright (C) 2002 Hewlett-Packard Company
// All rights reserved.
//
/* PORTCHECK OFF */
/****************************************************************************
 $Header: /cvsroot/mapisp/src/OMName/numbers.h,v 1.1.1.1 2002-11-21 17:55:32 gren Exp $
 Numeric constants.
 ****************************************************************************/

/****************************************************************************
 Size of the miscellaneous buffer
 ****************************************************************************/
#define omcnNUM_MISC_BUFFER_LEN         1024

/****************************************************************************
 INI limits for:
	[SECTION]
	ENTRY=VALUE
 ****************************************************************************/
#define omcnMAX_SECTION_NAME_LEN        40
#define omcnMAX_ENTRY_NAME_LEN          40

#define omcnMAX_TRUE_COUNT                      5
#define omcnMAX_FALSE_COUNT                     omcnMAX_TRUE_COUNT
#define omcnMAX_TRUE_FALSE_COUNT        (omcnMAX_TRUE_COUNT+omcnMAX_FALSE_COUNT)
#define omcnMAX_TF_STRING_LEN           10

/****************************************************************************
 Attributes.
 ****************************************************************************/
/*These defines are used in the internal attribute tag/index mapping tables.*/
#define omcnNUM_NON_STANDARD_ATTR       -1
#define omcnNUM_GROUP_SEP                       -1
#define omcnNUM_GROUP_TERM                      -2
#define omcnNUM_GROUP_MISS						-3

/*How to identify whether an entry in the gTagNames array is a DDA.*/
#define omcnNUM_TAG_IS_DDA				-1

/*How many address groups in the GS/ETB internal name format do we use?*/
#define omcnNUM_ADDR_GROUPS				5

/*How long is the EFA DDA type string?*/
#define omcnNUM_EFA_TYPE0_LEN			7

/****************************************************************************
 Miscellaneous
 ****************************************************************************/
#define omcnMISC_BUFFER_SIZE            1024
#define MAX_FILENAME_LEN                        256
#define omcnMAX_STRING_LEN                      omcnMAX_VALUE_LEN
#define omcnMAX_TRAILING_JUNK           20


