
function loadRules() {
    g_nCurPage = PAGE_RULESLIST;
    
	if (oRules.count == 0) {
		document.all("scrollableArea").innerHTML = "";
		document.all("ruleDetails").innerHTML = "";
        document.all("btnNewRule").focus();    
		return;
	}

	var	erules, oRule, id;
	var	s =	new	String("");
	erules = new Enumerator(oRules);
	for	(;!erules.atEnd();erules.moveNext()) {
		oRule =	erules.item();
		id = oRule.id;
		s =	s +	'<DIV class="rowWrapper">';
		s =	s +	'<DIV tabindex="0" id="row' + id	+ '" class="' + (oRule.enabled?'enabledRow':'disabledRow') + '" onclick="SelectRow(this);" ondblclick="EditRule();">';
		s =	s +	'<SPAN id="row' + id + 'col1" class="firstColumn' + (oRule.enabled?'Enabled':'Disabled') + '">' + oRule.name + (oRule.clientOnly? window.external.getResourceString(IDS_JS_MSG_CLIENTONLY):'') + '</SPAN>';
		s =	s +	'<SPAN id="row' + id + 'col2" class="checkboxColumn"><INPUT type=checkbox' + (oRule.enabled?' checked':'') + ' id="cb' + id	+ '" name="cb' + id +	'" onclick="EnableRule(this.id);"></SPAN>';
		s =	s +	'<SPAN id="row' + id + 'col3" class="enabledColumn">&nbsp;' + window.external.getResourceString(oRule.enabled?IDS_JS_SEL_CHK_ENABLEDCAPTION:IDS_JS_SEL_CHK_ENABLECAPTION) + '</SPAN>';
		s =	s +	'</DIV>';
		s =	s +	'</DIV>';
	}
	document.all("scrollableArea").innerHTML = s;

    var rid = window.external.lastRowSel();
    var lastRowSel = document.all('row' + rid);
    if (lastRowSel == null)
        lastRowSel = document.all('row' + (rid-1));
    
    if (lastRowSel != null) {
        selectedRow = null;
        SelectRow(lastRowSel);
    }
    else {    
    	if (document.all("row1") && selectedRow == null) {
    		SelectRow(document.all("row1"));
    	}
    	else {
    		if (selectedRow != null) {
    			id = getDigits(selectedRow.id);
    			if (id < 1) id = 1;
    			selectedRow = null;
    			SelectRow(eval('document.all("row' + id + '")'));
    		}
    		else {
    			if (document.all("row1")) {
    				SelectRow(document.all("row1"));
    			}
    		}
    	}
    }
}

function NewRule() {
    var rid = oRules.add();
	if (rid > 0) {
        window.navigate('setup.html');
        window.external.lastRowSel(-1);
    }
	else {
		alert(window.external.getResourceString(IDS_JS_E_OK_CANTADDRULE));
   }
}

function CopyRule() {
	if (selectedRow != null) {
        var rid;
        rid = oRules.copy(getDigits(selectedRow.id));
		if (rid > 0) {
            window.external.lastRowSel(-1);
            if (window.external.saveSessionRule()) {
                //selectedRow = null;
                //eval("document.all('" + targetRow.id + "col3').className = \"enabledColumnSelected\"")
                rid = window.external.lastRowSel();
                loadRules();
                SelectRow(document.all('row' + rid));
            }
            else {
                alert(window.external.getResourceString(IDS_JS_E_OK_FAILEDSAVECHANGES));
            }
        }
		else {
			alert(window.external.getResourceString(IDS_JS_E_OK_CANTEDITRULE));
            window.external.discardSessionRule();
        }
	}
	else {
		alert(window.external.getResourceString(IDS_JS_E_OK_SELECTCOPYRULE));
	}
}

function EditRule() {
	if (selectedRow != null) {
		if (oRules.modify(getDigits(selectedRow.id)))
			window.navigate('setup.html');
		else 
			alert(window.external.getResourceString(IDS_JS_E_OK_CANTEDITRULE));
	}
	else {
		alert(window.external.getResourceString(IDS_JS_E_OK_PLEASESELECTRULE));
	}
}

function DeleteRule() {
	if (selectedRow != null) {
		var id = getDigits(selectedRow.id);
        var sConfirm = window.external.getResourceString(IDS_JS_W_OK_PROMPTDELETERULE);
		var reallyDelete = confirm(sConfirm.replace("%1", eval("document.all('row" + id + "col1').innerHTML")));

		if (reallyDelete == true) {
			oRules.remove(id);
            window.external.lastRowSel(0);
			selectedRow = document.all('row' + (id-1));
			loadRules();
		}
		else { }
	}
	else {
		alert(window.external.getResourceString(IDS_JS_E_OK_SELECTDELETERULE));
	}
}

function EnableRule(ruleID) {
	var id = getDigits(ruleID);

	oRules.modify(id);

	oRule = window.external.getSessionRule();

	oRule.enabled = eval("document.all('" + ruleID + "')").checked;
	
	var x = window.external.saveSessionRule();

	if (eval("document.all('row" + id + "').className.charAt(0)") == "e") {
		eval("document.all('row" + id + "').className = \"disabledRowSelected\"");
		eval("document.all('row" + id + "col1').className = \"firstColumnDisabled\"");
		eval("document.all('row" + id + "col3').innerHTML = \"&nbsp;\"+window.external.getResourceString(IDS_JS_SEL_CHK_ENABLECAPTION)");
	}
	else {
		eval("document.all('row" + id + "').className = \"enabledRowSelected\"");
		eval("document.all('row" + id + "col1').className = \"firstColumnEnabled\"");
		eval("document.all('row" + id + "col3').innerHTML = \"&nbsp;\"+window.external.getResourceString(IDS_JS_SEL_CHK_ENABLEDCAPTION)");
	}
}

function sInvalidRule() {
	var erules, oRule, sRet;
    erules = new Enumerator(oRules);
    sRet = '';
	for	(;!erules.atEnd();erules.moveNext()) {
		oRule =	erules.item();
        if (!oRule.isValid) {
            sRet = oRule.name;
            break;
        }
    }
    return sRet;
}

function commitAllChanges() {
    var sRuleName = sInvalidRule(sRuleName);
    if (sRuleName.length) {
        var sAlert = window.external.getResourceString(IDS_JS_E_OK_INVALIDRULENAME);
		// replace doesn't modify sAlert but returns the modified string.
        alert(sAlert.replace("%1",sRuleName));
        return false;
    }
    
	// ie, the user clicks OK button on ruleslist
    if (!window.external.commitSessionChanges()) {
        alert(window.external.getResourceString(IDS_JS_E_OK_CANTSAVECHANGES));
        return false;
    }

    return true;
}

function doOptions() {
    window.external.doOptions();
    loadRules();   
}
    
function discardAllChanges() {
    // the user clicks CANCEL button on ruleslist
    if (!window.external.cancelSessionChanges())
        alert(window.external.getResourceString(IDS_JS_E_OK_CANTCANCEL));
}

function onclickSaveChanges() {
    if (commitAllChanges())
        window.external.endDialog(0);
}

function onclickCancelChanges() {
    discardAllChanges();
    window.external.endDialog(0);
}
